% Matlab equation file: "AMD1_ABCD_eqns.m"
% Open-Loop State-Space Matrices: A, B, C, and D
% for the Quanser One-FLoor Active Mass Damper (AMD-1) Experiment.

A( 1, 1 ) = 0;
A( 1, 2 ) = 0;
A( 1, 3 ) = 1;
A( 1, 4 ) = 0;
A( 2, 1 ) = 0;
A( 2, 2 ) = 0;
A( 2, 3 ) = 0;
A( 2, 4 ) = 1;
A( 3, 1 ) = 0;
A( 3, 2 ) = Mc*r_mp^2*Ks/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
A( 3, 3 ) = -(Mc*Eff_g*Kg^2*Eff_m*Kt*Km+Mc*Beq*Rm*r_mp^2+Mf*Eff_g*Kg^2*Eff_m*Kt*Km+Mf*Beq*Rm*r_mp^2)/Rm/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
A( 3, 4 ) = 0;
A( 4, 1 ) = 0;
A( 4, 2 ) = -Ks*(Mc*r_mp^2+Jm*Kg^2)/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
A( 4, 3 ) = Mc*(Eff_g*Kg^2*Eff_m*Kt*Km+Beq*Rm*r_mp^2)/Rm/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
A( 4, 4 ) = 0;

B( 1, 1 ) = 0;
B( 2, 1 ) = 0;
B( 3, 1 ) = Eff_g*Kg*Eff_m*Kt*r_mp*(Mc+Mf)/Rm/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
B( 4, 1 ) = -Mc*Eff_g*Kg*Eff_m*Kt*r_mp/Rm/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);

C( 1, 1 ) = 1;
C( 1, 2 ) = 0;
C( 1, 3 ) = 0;
C( 1, 4 ) = 0;
C( 2, 1 ) = 0;
C( 2, 2 ) = -Ks*(Mc*r_mp^2+Jm*Kg^2)/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
C( 2, 3 ) = Mc*(Eff_g*Kg^2*Eff_m*Kt*Km+Beq*Rm*r_mp^2)/Rm/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
C( 2, 4 ) = 0;

D( 1, 1 ) = 0;
D( 2, 1 ) = -Mc*Eff_g*Kg*Eff_m*Kt*r_mp/Rm/(Mc*r_mp^2*Mf+Jm*Kg^2*Mc+Jm*Kg^2*Mf);
